import * as i0 from "@angular/core";
export declare class QMSThemingLibraryService {
    private doc;
    private availableTheming;
    constructor(doc: any);
    get hostElement(): HTMLElement;
    setTheming(theme: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSThemingLibraryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QMSThemingLibraryService>;
}
